package com.ycwl.basic.model.pc.scenic.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ycwl.basic.facebody.enums.FaceBodyAdapterType;
import com.ycwl.basic.pay.enums.PayAdapterType;
import com.ycwl.basic.storage.enums.StorageType;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 10:53
 * 景区配置
 */
@Data
@TableName("scenic_config")
public class ScenicConfigEntity {
    @TableId
    private Long id;
    /**
     * 景区id
     */
    private Long scenicId;
    /**
     * 启用时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 是否为默认
     */
    private Integer isDefault;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 预约流程，1-预约，2-在线，3-全部
     */
    private Integer bookRoutine;
    private Integer forceFinishTime;
    private Integer tourTime;
    /**
     * 样本保存时间
     */
    private Integer sampleStoreDay;
    private Integer faceStoreDay;
    /**
     * 视频保存时间
     */
    private Integer videoStoreDay;
    private Integer allFree;
    private Integer disableSourceVideo;
    private Integer disableSourceImage;
    private Integer templateNewVideoType;
    private Integer antiScreenRecordType;
    private Integer videoSourceStoreDay;
    private Integer imageSourceStoreDay;
    private Integer userSourceExpireDay;
    /**
     * 人脸识别阈值，是0~100的数值
     */
    private Float faceScoreThreshold;
    private StorageType storeType;
    private String storeConfigJson;
    private StorageType tmpStoreType;
    private String tmpStoreConfigJson;
    private StorageType localStoreType;
    private String localStoreConfigJson;
    private BigDecimal brokerDirectRate;
    private Integer faceDetectHelperThreshold;

    private String watermarkType;
    private String watermarkScenicText;
    private String watermarkDtFormat;

    private FaceBodyAdapterType faceType;
    private String faceConfigJson;

    private PayAdapterType payType;
    private String payConfigJson;

    private String imageSourcePackHint;
    private String videoSourcePackHint;
}
